package cn.com.poc.law.entity.legislativeDocument;


import cn.com.poc.law.jsonSerializer.JacksonStringNotNullSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * @Author：Roger Wu
 * @name：CaseInfo
 * @Date：2025-08-12 18:50
 */
public class CaseInfo {

    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    private String caseType;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    private String caseStage;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    private String caseName;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    private String caseSummary;

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public String getCaseStage() {
        return caseStage;
    }

    public void setCaseStage(String caseStage) {
        this.caseStage = caseStage;
    }

    public String getCaseName() {
        return caseName;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getCaseSummary() {
        return caseSummary;
    }

    public void setCaseSummary(String caseSummary) {
        this.caseSummary = caseSummary;
    }
}
